# FoundationClasses
TKMath
Poly

# Poly_PolygonOnTriangulation Class Reference

This class provides a polygon in 3D space, based on the triangulation
of a surface. It may be the approximate representation of a
curve on the surface, or more generally the shape.
A PolygonOnTriangulation is defined by a table of
nodes. Each node is an index in the table of nodes specific
to a triangulation, and represents a point on the surface. If
the polygon is closed, the index of the point of closure is
repeated at the end of the table of nodes.
If the polygon is an approximate representation of a curve
on a surface, you can associate with each of its nodes the
value of the parameter of the corresponding point on the
curve.represents a 3d Polygon
.

`#include <Poly_PolygonOnTriangulation.hxx>`

Inheritance diagram for Poly_PolygonOnTriangulation:

[legend]

## Public Member Functions

Standard_EXPORT | Poly_PolygonOnTriangulation (const TColStd_Array1OfInteger &Nodes)
| Constructs a 3D polygon on the triangulation of a shape, defined by the table of nodes, <nodes>. .
Standard_EXPORT | Poly_PolygonOnTriangulation (const TColStd_Array1OfInteger &Nodes, const TColStd_Array1OfReal &Parameters)

Constructs a 3D polygon on the triangulation of a shape, defined by:
- the table of nodes, Nodes, and the table of parameters, <parameters>.
where:
- a node value is an index in the table of nodes specific
to an existing triangulation of a shape
- and a parameter value is the value of the parameter of
the corresponding point on the curve approximated by
the constructed polygon.
Warning
The tables Nodes and Parameters must be the same size.
This property is not checked at construction time.
.

Standard_EXPORT Standard_Real | Deflection () const
| Returns the deflection of this polygon .
Standard_EXPORT void | Deflection (const Standard_Real D)
| Sets the deflection of this polygon to D. See more on deflection in Poly_Polygones2D. .
Standard_Integer | NbNodes () const
| Returns the number of nodes for this polygon. Note: If the polygon is closed, the point of closure is repeated at the end of its table of nodes. Thus, on a closed triangle, the function NbNodes returns 4. .
Standard_EXPORT const TColStd_Array1OfInteger & | Nodes () const
| Returns the table of nodes for this polygon. A node value is an index in the table of nodes specific to an existing triangulation of a shape. .
Standard_EXPORT Standard_Boolean | HasParameters () const
| Returns true if parameters are associated with the nodes in this polygon. .
Standard_EXPORT Handle_TColStd_HArray1OfReal | Parameters () const
| Returns the table of the parameters associated with each node in this polygon. Warning Use the function HasParameters to check if parameters are associated with the nodes in this polygon. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | myDeflection
TColStd_Array1OfInteger | myNodes
Handle_TColStd_HArray1OfReal | myParameters

## Constructor & Destructor Documentation

Standard_EXPORT Poly_PolygonOnTriangulation::Poly_PolygonOnTriangulation | ( | const TColStd_Array1OfInteger & | Nodes | ) |

Standard_EXPORT Poly_PolygonOnTriangulation::Poly_PolygonOnTriangulation | ( | const TColStd_Array1OfInteger & | Nodes,
|  | const TColStd_Array1OfReal & | Parameters
| ) |

## Member Function Documentation

Standard_EXPORT void Poly_PolygonOnTriangulation::Deflection | ( | const Standard_Real | D | ) |

Standard_EXPORT Standard_Real Poly_PolygonOnTriangulation::Deflection | ( |  | ) | const

Standard_EXPORT const Poly_PolygonOnTriangulation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT Standard_Boolean Poly_PolygonOnTriangulation::HasParameters | ( |  | ) | const

Standard_Integer Poly_PolygonOnTriangulation::NbNodes | ( |  | ) | const`[inline]`

Standard_EXPORT const TColStd_Array1OfInteger& Poly_PolygonOnTriangulation::Nodes | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HArray1OfReal Poly_PolygonOnTriangulation::Parameters | ( |  | ) | const

## Field Documentation

Standard_Real Poly_PolygonOnTriangulation::myDeflection `[private]`

TColStd_Array1OfInteger Poly_PolygonOnTriangulation::myNodes `[private]`

Handle_TColStd_HArray1OfReal Poly_PolygonOnTriangulation::myParameters `[private]`

The documentation for this class was generated from the following files:

- Poly_PolygonOnTriangulation.hxx
- Poly_PolygonOnTriangulation.lxx